Update an app's threshold preferences
/apps/{id}/thresholdPrefsUpdate threshold preferences for an app. Only owner/admin roles can update app threshold prefs.
Validation rules: error_good_threshold must be greater than
error_caution_threshold; error_good_threshold must be in (0, 100]; error_caution_threshold must be in [0, 100);
error_spike_min_count_threshold must be an integer >= 1;
error_spike_min_rate_threshold must be in (0, 100].
Authorization
bearerAuth User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
App's UUID.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/thresholdPrefs" \ -H "Content-Type: application/json" \ -d '{ "error_good_threshold": 95, "error_caution_threshold": 85, "error_spike_min_count_threshold": 100, "error_spike_min_rate_threshold": 0.5 }'{ "ok": "done"}Think this page can be better?
Open an issue